Delete Chat Room Messages
<button style={{ marginBottom: "10px" }} class="button button--outline button--active button--danger"> Delete
https://api.deadsimplechat.com/consumer/api/v1/chatroom/:roomId/messages
Delete Chat Room Messages
Delete All the messages in the Chat Room. If you do not pass any optional parameters then all the messages, including channel messages, private messages and files will be deleted.
info
The auth query parameter is your private key. You can find it in your Dashboard under Developer -> Private Key.
| Parameters | ||
|---|---|---|
| Path | ||
roomId | string | roomId of the chat room |
| Query | ||
doNotDeletePrivateMessages | boolean | If this query is passed, then private messages will not be deleted. |
doNotDeleteChannelMessages | boolean | If this query is passed, then channel messages will not be deleted |
auth | string | Dashboard->Developer-Private Key is your auth |
Responses
200
JSON
{
"success": true,
"roomId": "HTqSW_9-t"
}
400
JSON
{
"message": "invalid chatroom id"
}